<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PCShellSetApply</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PCShellSetApply"><H1>PCShellSetApply</H1></A>
Sets routine to use as preconditioner. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscpc.h" 
PetscErrorCode PETSCKSP_DLLEXPORT PCShellSetApply(PC pc,PetscErrorCode (*apply)(void*,Vec,Vec))
</PRE>
Collective on <A HREF="../PC/PC.html#PC">PC</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>pc </B></TD><TD>- the preconditioner context
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>apply </B></TD><TD>- the application-provided preconditioning routine
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Calling sequence of apply</FONT></H3>
<PRE>
   <A HREF="../Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A> apply (void *ptr,<A HREF="../Vec/Vec.html#Vec">Vec</A> xin,<A HREF="../Vec/Vec.html#Vec">Vec</A> xout)
</PRE>

<P>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>ptr </B></TD><TD>- the application context
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>xin </B></TD><TD>- input vector
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>xout </B></TD><TD>- output vector
</TD></TR></TABLE>
<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 <A HREF="../PC/PC.html#PC">PC</A>, shell, set, apply, user-provided
<BR>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../PC/PCShellSetApplyRichardson.html#PCShellSetApplyRichardson">PCShellSetApplyRichardson</A>(), <A HREF="../PC/PCShellSetSetUp.html#PCShellSetSetUp">PCShellSetSetUp</A>(), <A HREF="../PC/PCShellSetApplyTranspose.html#PCShellSetApplyTranspose">PCShellSetApplyTranspose</A>(), <A HREF="../PC/PCShellSetContext.html#PCShellSetContext">PCShellSetContext</A>(), <A HREF="../PC/PCShellSetApplyBA.html#PCShellSetApplyBA">PCShellSetApplyBA</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>developer
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/ksp/pc/impls/shell/shellpc.c.html#PCShellSetApply">src/ksp/pc/impls/shell/shellpc.c</A>
<BR><A HREF="./index.html">Index of all PC routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex15.c.html">src/ksp/ksp/examples/tutorials/ex15.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex15f.F.html">src/ksp/ksp/examples/tutorials/ex15f.F.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex21f.F.html">src/ksp/ksp/examples/tutorials/ex21f.F.html</A><BR>
<A HREF="../../../src/snes/examples/tutorials/ex6.c.html">src/snes/examples/tutorials/ex6.c.html</A><BR>
<A HREF="../../../src/snes/examples/tutorials/ex24.c.html">src/snes/examples/tutorials/ex24.c.html</A><BR>
</BODY></HTML>
